## debiandoc2dbxml 0.1

=== Makefile ===
#!/usr/bin/make -f

DESTDIR =
BIN = debiandoc2dbxml debiandoc-tidy
LIB = book.xml split.xml debiandoc-xml.dtd catalog
DOC = dd2xml.html
MANPAGES=debiandoc2dbxml.1 debiandoc-tidy.1

# Put the files where they must go !

build : debiandoc2dbxml.1 debiandoc-tidy.1

install :
	install -m 755 -d $(DESTDIR)/usr/share/sgml/debiandoc2dbxml
	install -m 755 -d $(DESTDIR)/usr/share/doc/debiandoc2dbxml
	install -m 755 -d $(DESTDIR)/usr/bin
	install -m 755 -d $(DESTDIR)/usr/share/man/man1
	install -m 755 $(BIN) $(DESTDIR)/usr/bin/
	install -m 644 $(LIB) $(DESTDIR)/usr/share/sgml/debiandoc2dbxml/
	install -m 644 $(DOC) $(DESTDIR)/usr/share/doc/debiandoc2dbxml/
	install -m 644 $(MANPAGES) $(DESTDIR)/usr/share/man/man1/

# create the man pages

debiandoc2dbxml.1 :
	/usr/bin/docbook2man debiandoc2dbxml.1.sgml
debiandoc-tidy.1 :
	/usr/bin/docbook2man debiandoc-tidy.1.sgml

clean :
	rm -f debiandoc2dbxml.1 debiandoc-tidy.1
	rm -f *.links *.refs

deb :
	fakeroot debian/rules clean
	dh_clean
	dpkg-buildpackage -rfakeroot -ICVS -I.cvsignore

scp :
	scp dd2xml.html osamu@people.debian.org:public_html/pub/dd2xml.html

.PHONY: install clean deb scp

=== debian/changelog ===
debiandoc2dbxml (0.1) unstable; urgency=low

  * Initial Release.
  * Package sponsored by Adam Di Carlo (to blame for delays in uploading/review)

 -- Philippe Batailler <philippe.batailler@free.fr>  Fri, 20 Jun 2003 20:51:14 -0400

=== debian/control ===
Source: debiandoc2dbxml
Section: text
Priority: extra
Maintainer: Philippe Batailler <philippe.batailler@free.fr>
Uploaders: Adam Di Carlo <aph@debian.org>
Build-Depends-Indep: debhelper (>> 3.0.0), docbook-utils
Standards-Version: 3.5.10

Package: debiandoc2dbxml
Architecture: all
Depends: sgml-base, sgml-data, sp, xsltproc
Suggests: docbook-xml, debiandoc-sgml
Description: DebianDoc to DocBook XML converter
 This package provides a method for converting an SGML file written
 according to the DebianDoc DTD into an XML file following the DocBook
 XML DTD.
 .
 See the 'docbook-xml' and 'debiandoc-sgml' packages for information
 about those respective documentation formats.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

configure: configure-stamp
configure-stamp:
	dh_testdir

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	rm -f build-stamp configure-stamp

	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) DESTDIR=$(CURDIR)/debian/debiandoc2dbxml install

# Build architecture-independent files here.
binary-indep: build install

	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs debian/README
#	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installman
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
#	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## debiandoc2dbxml 0.2

=== Makefile ===
--- 
+++ 
@@ -34,7 +34,7 @@
 deb :
 	fakeroot debian/rules clean
 	dh_clean
-	dpkg-buildpackage -rfakeroot -ICVS -I.cvsignore
+	dpkg-buildpackage -rfakeroot -I.svn
 
 scp :
 	scp dd2xml.html osamu@people.debian.org:public_html/pub/dd2xml.html

=== debian/changelog ===
debiandoc2dbxml (0.2) unstable; urgency=low

  * Handles an empty <legalnotice> element (closes: #331371)
  * Corrects a typo in README

 -- Philippe Batailler <philippe.batailler@free.fr>  Sat,  8 Oct 2005 10:47:26 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: text
 Priority: extra
 Maintainer: Philippe Batailler <philippe.batailler@free.fr>
-Uploaders: Adam Di Carlo <aph@debian.org>
+Uploaders: Adam Di Carlo <aph@debian.org>, Osamu Aoki <osamu@debian.org>
 Build-Depends-Indep: debhelper (>> 3.0.0), docbook-utils
-Standards-Version: 3.5.10
+Standards-Version: 3.6.2.1
 
 Package: debiandoc2dbxml
 Architecture: all

## debiandoc2dbxml 0.3

=== Makefile ===
--- 
+++ 
@@ -28,8 +28,8 @@
 	/usr/bin/docbook2man debiandoc-tidy.1.sgml
 
 clean :
-	rm -f debiandoc2dbxml.1 debiandoc-tidy.1
-	rm -f *.links *.refs
+	-rm -f debiandoc2dbxml.1 debiandoc-tidy.1
+	-rm -f *.links *.refs
 
 deb :
 	fakeroot debian/rules clean

=== debian/changelog ===
debiandoc2dbxml (0.3) unstable; urgency=low

  * Take over maintenance. Closes: #554229
  * Fixed changelog bug number in 0.2. Closes: #331171
  * Fixed debian-rules-sets-DH_COMPAT,
    package-uses-deprecated-debhelper-compat-version,
    clean-should-be-satisfied-by-build-depends,
    ancient-standards-version, and
    debian-rules-ignores-make-clean-error .

 -- Osamu Aoki <osamu@debian.org>  Sun, 29 Nov 2009 04:49:54 +0900

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: debiandoc2dbxml
 Section: text
 Priority: extra
-Maintainer: Philippe Batailler <philippe.batailler@free.fr>
-Uploaders: Adam Di Carlo <aph@debian.org>, Osamu Aoki <osamu@debian.org>
-Build-Depends-Indep: debhelper (>> 3.0.0), docbook-utils
-Standards-Version: 3.6.2.1
+Maintainer: Osamu Aoki <osamu@debian.org>
+Build-Depends: debhelper (>> 3.0.0)
+Build-Depends-Indep: docbook-utils
+Standards-Version: 3.8.3
 
 Package: debiandoc2dbxml
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,6 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-# This is the debhelper compatibility version to use.
-export DH_COMPAT=3
 
 configure: configure-stamp
 configure-stamp:
@@ -26,7 +23,7 @@
 	dh_testdir
 	rm -f build-stamp configure-stamp
 
-	-$(MAKE) clean
+	$(MAKE) clean
 
 	dh_clean
